From 2c4b35f486ae4c14d60a9fd2239ee1be57460403 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 05 2020 04:22:34 +0000
Subject: [PATCH 988/2232] Format in a way that rustfmt 1.x and 2.0.0-rc.2 both render the same


---

diff --git a/src/unique_ptr.rs b/src/unique_ptr.rs
index 2a731d7..7408d40 100644
--- a/src/unique_ptr.rs
+++ b/src/unique_ptr.rs
@@ -190,7 +190,9 @@ unsafe impl UniquePtrTarget for CxxString {
     const __NAME: &'static dyn Display = &"CxxString";
     fn __null() -> *mut c_void {
         let mut repr = ptr::null_mut::<c_void>();
-        unsafe { unique_ptr_std_string_null(&mut repr) }
+        unsafe {
+            unique_ptr_std_string_null(&mut repr);
+        }
         repr
     }
     unsafe fn __raw(raw: *mut Self) -> *mut c_void {
diff --git a/syntax/parse.rs b/syntax/parse.rs
index 49dc26b..c611c8b 100644
--- a/syntax/parse.rs
+++ b/syntax/parse.rs
@@ -73,7 +73,7 @@ fn parse_struct(cx: &mut Errors, item: ItemStruct) -> Result<Api> {
         Fields::Named(fields) => fields,
         Fields::Unit => return Err(Error::new_spanned(item, "unit structs are not supported")),
         Fields::Unnamed(_) => {
-            return Err(Error::new_spanned(item, "tuple structs are not supported"))
+            return Err(Error::new_spanned(item, "tuple structs are not supported"));
         }
     };
 

